Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		rstp
Summary:	Rapid Spanning Tree User Space Daemon
Version:	04012009git
Release:	alt2_32
# Note the lack of a URL tag here.  rstp has no official upstream project page,
# just a git repository, so we don't include the URL here. rpmlint will yell
# about this, rpmlint is wrong,

License:	GPLv2+ and LGPLv2+
BuildRequires:	gcc
# Generate this tarball with the following commands in the git tree:
# git clone git://git.kernel.org/pub/scm/linux/kernel/git/shemminger/rstp.git
# cd rstp
# git checkout 76eb7423e188f6852ba9ced4352e0d61f4dace4d
# cd ..
# tar jcf git-04012009git.tar.bz2 rstp 
Source0:	%{name}-%{version}.tar.bz2

# http://patchwork.ozlabs.org/patch/46803/
# Submitted upstream, no reply yet
Patch0:	rstp-type-punning.patch
Patch1: rstp-unused-fix.patch
Patch2: rstp-ftbfs-bz914445.patch
Patch3: rstp-fix-warnings.patch
Patch4: rstp-makefile.patch
Patch5: rstp-ldflags.patch
Patch6: rstp-ldflags-rstpctl.patch
Source44: import.info

%description
rstp is a user space implementation of the rapid spanning tree protocol.  It
replaces the in-kernel STP implementation

%prep
%setup -q -n rstp

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
export CFLAGS="%{optflags} %__global_ldflags"
export LDFLAGS="%__global_ldflags"

%make_build

%install
make INSTALLPREFIX=$RPM_BUILD_ROOT install
install -m 755 bridge-stp $RPM_BUILD_ROOT/sbin

%files
/sbin/*
%{_mandir}/man8/*
%doc CHANGES_TO_RSTPLIB TODO LICENSE rstplib/COPYING


%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 04012009git-alt2_32
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 04012009git-alt2_31
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 04012009git-alt1_31
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 04012009git-alt1_29
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 04012009git-alt1_28
- new version

